# MDS-API Update Guide    {#update_guide}

MDS_0.15.9 / 2019-05-31
-----------------------------------

### 1. API更新概要

  1. 服务端兼容 v0.15.5.1 版本API, 客户可以选择不升级 (建议升级, 以兼容深圳证券业务开关数量的调整)
  2. fix: 修复API无法支持取值大于1024的文件描述符的问题
  3. 扩大深圳证券业务开关的最大数量, 以应对行情数据内容的更新
     - 该修改可能会对之前版本的API造成影响: 会影响到证券实时状态消息的延迟计算, 旧版本会读取到无效的打点时间
  4. 调整行情数据类型(mdStreamType, eMdsMdStreamTypeT)的取值, 使其可以标识出快照行情的具体数据类型
     - 该修改会存在兼容性问题, 客户端程序可以通过编译错误来识别需要调整的地方 (如果没有编译错误就不需要调整)
     - 行情数据类型的取值将尽量与消息类型保持一致, 但以下类型比较特殊：
       - 深圳成交量统计指标
       - 上交所 Level1 行情快照-债券
       - 上交所 Level1 行情快照-基金
  5. 重命名 securityType => mdProductType, 以避免与交易端的证券类型混淆
    - securityType => mdProductType
    - eMdsSecurityTypeT => eMdsMdProductTypeT
  6. 删除已经废弃的虚拟集合竞价消息的消息定义和数据类型定义
  7. API新增如下接口
     | API                          | 描述
     | ---------------------------- | ---------------
     | MdsApi_QueryStockStaticInfo  | 查询证券(股票/债券/基金)静态信息
     | MdsApi_QuerySnapshotList     | 批量查询行情快照接口
     | MdsApi_InitAllByCfgStruct    | 按照配置信息结构体初始化客户端环境接口
     | MdsApi_SendChangePasswordReq | 修改客户端登录密码
     | MdsApi_SetCustomizedIp       | 设置客户端自定义的本地IP地址
     | MdsApi_GetCustomizedIp       | 获取客户端自定义的本地IP
     | MdsApi_SetCustomizedMac      | 设置客户端自定义的本地MAC地址
     | MdsApi_GetCustomizedMac      | 获取客户端自定义的本地MAC
     | MdsApi_SetCustomizedDriverId | 设置客户端自定义的本地设备序列号
     | MdsApi_GetCustomizedDriverId | 获取客户端自定义的本地设备序列号
  8. 新增错误码1029、1034、1035、1036, 调整错误码1007、1022的描述信息
     | 错误码 | 描述
     | ---- | ---------------
     | 1007 | 非服务开放时间
     | 1022 | 尚不支持或尚未开通此业务
     | 1029 | 密码未改变
     | 1034 | 密码强度不足
     | 1035 | 非法的产品类型
     | 1036 | 未通过黑白名单检查

### 2. 服务端更新概要

  1. fix: 修复上海L2快照初始的最低价没有被设置的问题
  2. fix: 解决 MdsApi_SubscribeByString 接口的字符串缓存太小, 最多只能订阅14000只证券的问题
  3. fix: 取消不必要的期权行情降噪处理, 以修复期权行情数量相对较少的问题（35%）
  4. fix: 修复在追加订阅行情时, 会把全市场订阅标志冲掉的问题
  5. fix: 修复市场总览行情中交易所发送时间为负数的问题
  6. 完善单条行情快照查询, 允许对交易所代码和行情数据进行模糊匹配(不必再明确指定交易所代码);
     并且当不存在L1快照时将尝试检索L2快照, 而查询结果统一转换为五档快照返回
  7. 调整L2逐笔数据的行情组播频道, 按照频道号混合推送逐笔成交和逐笔委托, 取代之前逐笔成交/逐笔委托分别推送的方式(API保持兼容, 但频道的内容发生了变化)
  8. 优化快照行情的去重处理
  9. 修复其他系统缺陷, 完善安全机制

### 3. 注意事项说明

  1. 以下两处重构可能会引起编译错误, 这两个字段通常不会使用, 可以通过编译错误来识别是否有需要调整的地方, 如果没有编译错误就不需要调整
     - 重命名 securityType => mdProductType
     - 调整行情数据类型(mdStreamType, eMdsMdStreamTypeT)的取值
  2. 服务器端对L2逐笔数据的行情组播频道做了调整, 将按照频道号混合推送逐笔成交和逐笔委托, 以保留逐笔委托和逐笔成交之间时序关系
     - 之前的逐笔成交/逐笔委托是通过两个频道分别推送的, 需要留意调整以后对处理逻辑是否有影响
  3. 服务器端对快照行情的去重处理进行了优化
     - 当以 tickType=0 的模式订阅行情时, 服务器端会对重复的快照行情做去重处理, 不会再推送重复的数据
     - 如果需要获取到所有时点的快照, 可以使用 tickType=1 的模式订阅行情。该模式会和之前版本的行为保持一致, 只要行情时间有变化, 即使数据重复也会对下游推送


---

MDS_0.15.7.4 / 2018-08-31
-----------------------------------

### 1. API更新概要

  1. 服务端兼容 v0.15.5.1 版本API，客户可以选择不升级 (建议升级)
  2. fix: 修复当多个线程同时初始化API日志时, 会导致日志信息重复输出的问题
  3. API新增如下接口
    | API                          | 描述
    | ---------------------------- | ---------------
    | MdsApi_SetLastError          | 设置当前线程的API错误号
    | MdsApi_GetLastError          | 获取当前线程最近一次API调用失败的错误号
    | MdsApi_HasMoreCachedData     | 获取回报通道中尚未被回调函数处理的缓存数据长度
    | MdsApi_SetThreadUsername     | 设置当前线程的登录用户名
    | MdsApi_SetThreadPassword     | 设置当前线程的登录密码
  4. 新增部分错误码
    | 错误码 | 描述
    | ---- | ---------------
    | 1031 | 非法的加密类型
    | 1033 | 无可用节点
  5. 重构 SubscribeByString 接口, 增强行情订阅的灵活性
  6. 增加可订阅的数据种类 (DataType), 以支持单独订阅指数行情和期权行情
  7. 增加可以处理压缩过的消息的 MdsApi_WaitOnMsgCompressible 接口, 以支持对接压缩后的行情数据

### 2. 服务端更新概要

  1. fix: 修复上海L2增量快照中最低价没有正确更新(长时间为0)的BUG
  2. fix: 修复行情订阅列表的计数器缺陷（把相同的证券代码分别作为指数代码和股票代码指定了两遍时，会订阅不到指数行情的问题）
  3. fix: 修复没有拦截掉9:25前后已经过时的虚拟集合竞价消息的问题
  4. 修复其他系统缺陷，完善管理功能和故障恢复处理


---

MDS_0.15.5.16 / 2018-08-31
-----------------------------------

### 1. API更新概要

  1. 服务端兼容 v0.15.5.1 版本API, 客户可以选择不升级 (建议升级)
  2. fix: 修复当多个线程同时初始化API日志时, 会导致日志信息重复输出的问题
  3. 增加 MdsApi_HasMoreCachedData 接口, 用于返回已经接收到但尚未被回调函数处理的缓存数据长度
  4. 增加 MdsApi_GetLastError 接口, 用于返回最近一次API调用失败的错误号
  5. 增加设置当前线程登录用户名/登录密码的接口
  6. 重构 SubscribeByString 接口, 增强行情订阅的灵活性
  7. 增加可订阅的数据种类 (DataType), 以支持单独订阅指数行情和期权行情
  8. 增加可以处理压缩过的消息的 MdsApi_WaitOnMsgCompressible 接口, 以支持对接压缩后的行情数据

### 2. 服务端更新概要

  1. fix: 修复上海L2增量快照中最低价没有正确更新(长时间为0)的BUG
  2. fix: 修复行情订阅列表的计数器缺陷（把相同的证券代码分别作为指数代码和股票代码指定了两遍时, 会订阅不到指数行情的问题）
  3. fix: 修复没有拦截掉9:25前后已经过时的虚拟集合竞价消息的问题
  4. 修复系统缺陷, 完善管理功能和故障恢复处理


---

MDS_0.15.5.11 / 2018-06-20
-----------------------------------

### 1. API更新概要

  1. 服务端兼容 v0.15.5.1 版本API, 客户可以选择不升级 (建议升级)
  2. fix: 扩大Level2增量更新消息支持的最大价位变更数量和委托明细数量, 修复在巨幅波动场景下会因为支持的价位数量不足导致丢失价位信息的BUG 
     - 如果使用的是旧版本的API, 那么服务器端将不再推送增量更新消息 (只推送全量快照), 以此来保持兼容
     - 如果需要使用增量更新消息的话, 就需要更新到最新版本的API, 否则不需要更新API
  3. 行情订阅条件和订阅配置中增加 '逐笔数据的过期时间类型 tickExpireType' (兼容之前版本)

### 2. 服务端更新概要

  1. fix: 修复因行情发布服务和转发服务使用了相同的请求队列, 导致偶发行情订阅请求无法被正确处理的BUG
  2. fix: 修复在行情巨幅波动场景下因为支持的增量更新价位数量不足导致丢失价位信息的BUG
  3. fix: 修正上海L2（增量）快照会出现最新价不在最低价和最高价之间的问题
  4. fix: 避免因为把相同的证券代码分别作为指数代码和股票代码指定了两遍, 导致指数的已订阅数量为0, 进而不推送指数行情的问题
  5. 添加面向低速网络的行情转发服务
  6. 优化深证行情的转发处理, 改善早盘高峰时期行情延迟过大的问题


---

MDS_0.15.5.4 / 2018-02-22
-----------------------------------

### 1. API更新概要

  1. 服务端兼容 v0.15.5.1 版本API, 客户可以选择不升级
  2. fix: 解决在Windows下的兼容性问题
  3. 调整接口 MdsApi_InitAll, 增加一个函数参数 (pUdpTickOrderAddrKey), 以支持分别订阅逐笔成交和逐笔委托的行情组播
     - 因为增加了接口参数, 需要对程序进行修改, 对该参数传 NULL 即可
  4. 增加接口 MdsApi_GetLastRecvTime、MdsApi_GetLastSendTime, 用于获取通道最近接受/发送消息的时间
  5. 登录失败时, 可以通过 errno/SPK_GET_ERRNO() 获取到具体失败原因

### 2. 服务端更新概要

  1. fix: 优化行情推送, 改善推送服务的公平性
  2. fix: 修复在计算深圳逐笔成交的成交金额时没有转换为int64, 导致溢出的BUG
  3. fix: 修复上海L1指数快照的 securityType 不正确, 取值都是 1 的BUG
  4. fix: 修复查询L1快照时, 未按照查询条件 securityType 进行匹配的问题
  5. fix: 修复 mds_tester 查询功能无法使用的问题
  6. 支持指定行情组播发送端的端口号
  7. 优化深证行情采集, 改善早盘高峰时期行情延迟过大的问题
  8. 优化行情组播的发送延迟
